2016-10-27 23:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000462OpenFOAM[All Projects] Bugpublic2012-04-13 17:07
Assigned Touser21 
PlatformLinuxOSUbuntuOS Version10.10
Product Version 
Target VersionFixed in Version 
Summary0000462: Sign inconsistency in the compressible Launder-Sharma k-epsilon model
DescriptionChecking the epsilon transport equation in the Launder-Sharma low-Re model I've found a clear inconsistency in the C3 constant sign (at least it is there in the OF-2.1.0 release, I don't know if it has been already fixed in 2.1.x).

The following is the (correct) compressibility production term in the standard k-epsilon model implementation:

- fvm::SuSp(((2.0/3.0)*C1_ + C3_)*rho_*divU, epsilon_)

As you can see, the term multiplied by C1 enters with a negative sign, while the term multiplied by C3 actually becomes positive, as in OF C3 is equal to -0.33 while the correct constant value in the RHS of the epsilon equation should be +0.33.

This is the same (incorrect) term in the Launder-Sharma model:

+ fvm::SuSp((C3_ - 2.0/3.0*C1_)*rho_*divU, epsilon_)

The C1 term is again negative, but so it is the C3 one as in OF +C3=-0.33.

So, I don't know what is the real influence of such an error, but to me this is clearly a bug.


TagsNo tags attached.
Attached Files





Resolved in commit:

-Issue History
Date Modified Username Field Change
2012-03-15 10:22 vkrastev New Issue
2012-04-13 17:03 user21 Status new => resolved
2012-04-13 17:03 user21 Resolution open => fixed
2012-04-13 17:03 user21 Assigned To => user21
2012-04-13 17:06 user21 Note Added: 0001238
2012-04-13 17:06 user21 Status resolved => feedback
2012-04-13 17:06 user21 Resolution fixed => reopened
2012-04-13 17:07 user21 Status feedback => resolved
2012-04-13 17:07 user21 Resolution reopened => fixed
+Issue History